# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Interface XmlEventSource

    public interface XmlEventSource

A generic source of xml events that can be parsed by an instance of `DefaultHandler`.

Method Summary
`void` `parse(org.xml.sax.helpers.DefaultHandler handler)` Parse this event source with the given xml handler.

Method Detail

### parse

    void parse(org.xml.sax.helpers.DefaultHandler handler)
               throws org.xml.sax.SAXException,
                      java.io.IOException

  Parse this event source with the given xml handler.

  Parameters:
    `handler` - an xml handler that can handle the xml event source.
  Throws:
    `org.xml.sax.SAXException` - if parsing fails.
    `java.io.IOException`